Uploaded image for project: 'Qpid JMS'
  1. Qpid JMS
  2. QPIDJMS-151

Update build settings to depend only on specific netty modules needed

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 0.8.0
    • Fix Version/s: 0.9.0
    • Component/s: qpid-jms-client
    • Labels:
      None

      Description

      Instead of using the netty all which pulls in everything we can just rely on the four netty modules we need, buffer, common, handler and transport. These modules also have the benefit of carrying OSGi bundle metadata which the netty-all module does not.

        Attachments

          Activity

            People

            • Assignee:
              tabish121 Timothy Bish
              Reporter:
              tabish121 Timothy Bish
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: